/* ---------------------------------------------------------- */
/* @(#) KRG.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* IBM Tivoli Advanced Audit for DFSMShsm Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* ---------------------------------------------------------- */
/* General section.  Applies to all products                  */
/* ---------------------------------------------------------- */

/* Tasks */

/* LISTCAT_ENT */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRG_LISTCAT";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRG                000000000000000000", 
  "LISTCAT_ENT [&DSNAME]",
  "Krg:KRG1000",
  " ", 
  "KRG_LISTCAT", 
  "LISTCAT_ENT", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HSEND_LIST_TTOC */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRG_HSENDTTOC";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRG                000000000000000000", 
  "HSEND_LIST_TTOC [&VOLSER] [&WAIT]",
  "Krg:KRG1001",
  " ", 
  "KRG_HSENDTTOC", 
  "HSEND_LIST_TTOC", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HSEND_LIST_DSNAME */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRG_HSENDDSN";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "%IBM.KRG                000000000000000000", 
  "HSEND_LIST_DSNAME [&DSNAME] [&WAIT]",
  "Krg:KRG1002",
  " ", 
  "KRG_HSENDDSN", 
  "HSEND_LIST_DSNAME", 
  " ", 
  " ", 
  " ", 
  " " 
);

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRG_MCDS_Critical_Error";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRG_MCDS_Critical_Error";

$PARMS 
( 
'ADVICE("krg:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRG                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1090106000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE
 KRG_MIGRATION_CONTROL_DATA_SET_ERROR_SUMMARY.MCSERRCNT *GT 0 *AND
 *STR KRG_MIGRATION_CONTROL_DATA_SET_ERROR_SUMMARY.MCSDIAGID *EQ
 5,'C' ) *OR ( *VALUE
 KRG_MIGRATION_CONTROL_DATA_SET_ERROR_SUMMARY.MCSERRCNT *GT 0 *AND
 *STR KRG_MIGRATION_CONTROL_DATA_SET_ERROR_SUMMARY.MCSDIAGID *EQ
 5,'V' ) )",
"E",
"0",
"000100",
"*NONE",
"KRG_MCDS_Critical_Error",
"Krg:KRG1003",
" NNN",
"ATOM=KRGMCDSUM.MCSDIAGID;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRG" ,
  "KRG_MCDS_Critical_Error" ,
  "Y" ,
  "1090106000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRG_BCDS_Critical_Error";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRG_BCDS_Critical_Error";

$PARMS 
( 
'ADVICE("krg:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRG                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1090106000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRG_BACKUP_CONTROL_DATA_SET_ERROR_SUMMARY.BCSERRCNT
 *GT 0 *AND *STR
 KRG_BACKUP_CONTROL_DATA_SET_ERROR_SUMMARY.BCSDIAGID *EQ 5,'C' )
 *OR ( *VALUE KRG_BACKUP_CONTROL_DATA_SET_ERROR_SUMMARY.BCSERRCNT
 *GT 0 *AND *STR
 KRG_BACKUP_CONTROL_DATA_SET_ERROR_SUMMARY.BCSDIAGID *EQ 5,'V' ) )",
"E",
"0",
"000100",
"*NONE",
"KRG_BCDS_Critical_Error",
"Krg:KRG1004",
" NNN",
"ATOM=KRGBCDSUM.BCSDIAGID;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRG" ,
  "KRG_BCDS_Critical_Error" ,
  "Y" ,
  "1090106000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRG_OCDS_Critical_Error";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRG_OCDS_Critical_Error";

$PARMS 
( 
'ADVICE("krg:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRG                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1090106000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE
 KRG_OFFLINE_CONTROL_DATA_SET_ERROR_SUMMARY.OCSERRCNT *GT 0 *AND
 *STR KRG_OFFLINE_CONTROL_DATA_SET_ERROR_SUMMARY.OCSDIAGID *EQ
 5,'C' ) *OR ( *VALUE
 KRG_OFFLINE_CONTROL_DATA_SET_ERROR_SUMMARY.OCSERRCNT *GT 0 *AND
 *STR KRG_OFFLINE_CONTROL_DATA_SET_ERROR_SUMMARY.OCSDIAGID *EQ
 5,'V' ) )",
"E",
"0",
"000100",
"*NONE",
"KRG_OCDS_Critical_Error",
"Krg:KRG1005",
" NNN",
"ATOM=KRGOCDSUM.OCSDIAGID;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRG" ,
  "KRG_OCDS_Critical_Error" ,
  "Y" ,
  "1090106000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRG_HSM_Tape_Critical_Errors";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRG_HSM_Tape_Critical_Errors";

$PARMS 
( 
'ADVICE("krg:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"%IBM.KRG                000000000100000000",
"*NO",
"*NO",
"",
" ",
"1090106000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRG_HSM_TAPE_ERROR_SUMMARY.TPSERRCNT *GT 0 *AND
 *STR KRG_HSM_TAPE_ERROR_SUMMARY.TPSDIAGID *EQ 5,'C' ) *OR (
 *VALUE KRG_HSM_TAPE_ERROR_SUMMARY.TPSERRCNT *GT 0 *AND *STR
 KRG_HSM_TAPE_ERROR_SUMMARY.TPSDIAGID *EQ 5,'V' ) )",
"E",
"0",
"000100",
"*NONE",
"KRG_HSM_Tape_Critical_Errors",
"Krg:KRG1006",
" NNN",
"ATOM=KRGTAPSUM.TPSDIAGID;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*IBM_KRG" ,
  "KRG_HSM_Tape_Critical_Errors" ,
  "Y" ,
  "1090106000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
